<template>
  <div id="weilai">
    <el-row>
      <el-col :span="24" class="image" v-if="info">
        <el-link :underline="false" @click="turnTo">
          <el-image style="width:100%;height:200px;" :src="info.pic || ''"></el-image>
        </el-link>
      </el-col>
    </el-row>
  </div>
</template>

<script>
export default {
  name: 'weilai',
  props: {
    info: null,
  },
  components: {},
  data: () => ({
    url: require('@/assets/weilai.jpg'),
  }),
  created() {},
  computed: {},
  methods: {
    turnTo() {
      if (this.info.type == '0') window.open(`.${this.info.url}`);
      else window.open(this.info.url);
    },
  },
};
</script>

<style lang="less" scoped></style>
